WMIFS(1)

NAME
wmifs - a dockable network traffic monitor

SYNOPSIS
wmifs [-d <display name>] [-i <interface name>] [-l] [-w] [-h] [-v]

DESCRIPTION
WMiFS is a dockable applet for X11 that can monitor all your network interfaces. It's designed for WindowMaker's Dock and AfterStep's Wharf, but it's not dependent on these window managers and should work with any other. It can display the net load using a standard bar graph or using a waveform mode. It also displays the state of the interface with a group of leds. Clicking on the interface name will cycle to the next interface in the system. Users can define commands to be executed when the different mouse buttons are pressed on the main window.

OPTIONS

-h  Show summary of options.

-v  Show version of the program.

-display <display name>
    Use an alternate X display.

-geometry +x+y
    Set window position.

-i <interface name>
    Interface that should come up initially when executing wmifs. If you use "auto" as interface name, the first active ("up") interface will be used.

-I <interval>
    Sampling interval, in seconds (default: 0.05).

-l  Starts wmifs in lock mode. Useful if combined with -i, if you want to monitor a, for example, ppp device which isn't up when wmifs is started. It won't switch to the next available interface.

-s <interval>
    Scrolling interval, in seconds (default: 5)

-w  Use the waveform graph instead of the classic one.

-c <color>
    Set color.

FILES

/etc/wmifsrc
    system wide wmifs configuration file.

~/.wmifsrc
    peruser wmifs configuration file.

AUTHOR
This manual page was written by Jordi Mallach <jordi@sindominio.net> for the Debian GNU/Linux system (but may be used by others).

SEE ALSO
/usr/share/doc/wmifs